RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1706386 - [RFE] Discoverable man page names for DNF plugins
Summary: [RFE] Discoverable man page names for DNF plugins
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf-plugins-core
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: 8.1
Assignee: Lukáš Hrázký
QA Contact: Jan Blazek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-04 14:50 UTC by Michal Domonkos
Modified: 2023-04-01 08:17 UTC (History)
3 users (show)

Fixed In Version: dnf-4.2.17-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:47:49 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-29795 0 None None None 2023-04-01 08:17:23 UTC
Red Hat Product Errata RHBA-2020:1823 0 None None None 2020-04-28 16:48:03 UTC

Description Michal Domonkos 2019-05-04 14:50:38 UTC
Currently, it's quite difficult to discover the man pages for DNF subcommands (those that have a separate man page; that is, mostly plugins).  For example, for the "dnf config-manager" command, you have to type "man dnf.plugin.config_manager".  That's bad UX.  For end-users, whether a subcommand is implemented as a plugin or not is irrelevant.

I like how git does this (and probably other programs as well):

  $ git format-patch
  $ man git-format-patch

So, how about:

  $ dnf config-manager
  $ man dnf-config-manager

Obviously, not all the subcommands have a dedicated man page in DNF; and that's fine; for those, we can perhaps redirect to the main dnf(8).

Comment 3 Lukáš Hrázký 2019-11-20 10:14:54 UTC
There's also this PR for a minor reference change in DNF man page: https://github.com/rpm-software-management/dnf/pull/1528

Comment 8 errata-xmlrpc 2020-04-28 16:47:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1823


Note You need to log in before you can comment on or make changes to this bug.